<?php

namespace App\Policies;

use App\Models\User;

trait HasPermissionTrait
{

    public  function hasPermission(User $user): bool
    {
        return $user->hasPermissionTo(class_basename(static::class).":".__FUNCTION__);
    }

}
